/***************************************************************************
                          FPConversion.h  -  description
                             -------------------
    begin                : Fri Jul 20 2001
    copyright            :
    email                :
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef FPCONVERSION_H_INCLUDED
#define FPCONVERSION_H_INCLUDED

#include <PalmOS.h>

/* Converts a double to a string.
 * buf      - The buffer to place the string in. If NULL, a statically 
 *            allocated buffer is used, which will be overwritten on the next 
 *            call to this function.
 * d        - The number to be converted.
 * decimals - The number of decimals to include.
 * Returns  - A pointer to the buffer containing the string. 
 */
Char *DoubleToString(Char *buf, double d, UInt8 decimals);

/* Converts a string to a double. 
 * str     - The string to be converted.
 * d       - Pointer to double in which to place the result.
 * Returns - false on success - true on error.
 */
Boolean StringToDouble(Char *str, double *d);

#endif
