/***************************************************************************
                          Pabilo.h  -  description
                             -------------------
    begin                : Fri Jul 20 2001
    copyright            : (C) 2001 by Michiel van Turnhout
    email                : info@qris.myweb.nl
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#include <PalmOS.h>
#include "Pabilo_res.h"
#include "FPConversion.h"
#include "Tools.h"

#define pabiloVersionNum				1
#define pabiloPrefsVersionNum	  1
#define pabiloPrefID						0x00
#define sysFileCPabilo					'PABI'

#define pabiloDBType						'DATA'

//From Palmos3.5 sdk I cannot find them in PalmOS4.0 devkit
/************************************************************
 * Useful Macros
 *************************************************************/
#define min(a, b) (((a) < (b)) ? (a) : (b))
#define max(a, b) (((a) > (b)) ? (a) : (b))

#define OffsetOf(type, member)  ((UInt32) &(((type *) 0)->member))

//Values for graph display
#define MINY 160
#define MAXY 70
#define MINX 10
#define MAXX 160

#define UPDGRID       30      // updGrid * updGraphSecs is the Grid value
#define U328          0x8000  // port ID
#define BAUDRATE      115200  // Maximum Palm serial baudrate
#define SERIALTIMEOUT 5       // system tics to timeout a serial opperation
#define MAXTIMERVAL   65535   // Maximum 16 bit timer value 2^16 -1

typedef struct {
  UInt32 doRecord;
  UInt32 doGraph;
  UInt32 doData;
} PabiloControl;

//Mainly used to calculate the average speed.
//the SystemTics stop when the unit is switched off
typedef struct {
  UInt32 startTics;
  UInt32  oldTics;
} PabiloTiming;

// signals for drawmainform
typedef enum {
	initValues,
  updateValues,
  initForm,
	redrawForm,
} FormUpdateReason;


extern FontPtr font129;
extern MemHandle fontH;
extern UInt16     tps;

//Database reference
extern Char * pabiloDBName;
extern DmOpenRef	PabiloDB;

//preference values
extern Boolean prefUpd;

extern DateFormatType dateFormat;

extern Boolean generalFlag;

//prototypes
void drawMainForm(FormUpdateReason reason);
void updateGraph(void);
Boolean MainFormHandleEvent(EventPtr event);
Boolean AboutHandleEvent(EventPtr event);

void DrawGridLabels(void);


