/***************************************************************************
                          PabiloDB.h
                             -------------------
    begin                : Fri Jul 20 2001
    copyright            : (C) 2001 by Michiel van Turnhout
    email                : info@qris.myweb.nl
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#define LocalizedAppInfoStr			1000

typedef struct {
  UInt16	renamedCategories;		// bitfield of categories with a different name
	char	categoryLabels[dmRecNumCategories][dmCategoryLength];
	UInt8	categoryUniqIDs[dmRecNumCategories];
	UInt8	lastUniqID;			// Uniq IDs generated by the device are between
									      // 0 - 127.  Those from the PC are 128 - 255.
	UInt8	  reserved1;		// from the compiler word aligning things
	UInt16	reserved2;
	UInt16	reserved3;
	UInt8	  sortOrder;
	UInt8	  reserved;
} PabiloAppInfoType;

typedef PabiloAppInfoType * PabiloAppInfoPtr;


// Sort orders should not matter for this app it is always ordered on timestamp
#define soUnsorted		0
#define soTimeStamp		1

/***************************************************************************
 *                                                                         *
 * These are the database record structures                                *
 *                                                                         *
 ***************************************************************************/
typedef struct {
	UInt32 	timeStamp;		// Time stamp in seconds
  double  dist;
  double  speed;
	UInt8	  reserved;
} PabiloDBRecordType;

typedef PabiloDBRecordType * PabiloDBRecordPtr;

typedef struct {
	UInt32 	timeStamp;		// Time stamp in seconds
  double  dist;
  double  speed;
} PabiloItemType;

typedef PabiloItemType * PabiloItemPtr;


//-------------------------------------------------------------------
// Prototypes for DB routines
//-------------------------------------------------------------------
Err		PabiloAppInfoInit(DmOpenRef dbP);
Err		PabiloNewRecord(DmOpenRef dbP, PabiloItemType *recordData);
Err		PabiloGetDatabase(DmOpenRef *dbPP, Char * dbName ,UInt16 mode);
Err   PabiloDeleteDB(Char *dbName);
Boolean DBExists(Char *dbName);
